org.apache.hadoop.hdfs.server.common.blockaliasmap

## Class BlockAliasMap.ImmutableIterator

- java.lang.Object
- - org.apache.hadoop.hdfs.server.common.blockaliasmap.BlockAliasMap.ImmutableIterator

- All Implemented Interfaces:
    Iterator<T>
  Enclosing class:
    BlockAliasMap<T extends BlockAlias>

      public abstract class BlockAliasMap.ImmutableIterator
      extends Object
      implements Iterator<T>

  ImmutableIterator is an Iterator that does not support the remove operation. This could inherit `Enumeration` but Iterator is supported by more APIs and Enumeration's javadoc even suggests using Iterator instead.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImmutableIterator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, hasNext, next`

- - ### Constructor Detail

    - #### ImmutableIterator

          public ImmutableIterator()

  - ### Method Detail

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<T extends BlockAlias>`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.